﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Drawing;
using System.IO;
using System.Drawing.Imaging;

public class MyHandlerAjax : IHttpHandler
{
  

    #region IHttpHandler Members

    bool IHttpHandler.IsReusable
    {
        get { return true; }
    }

    void IHttpHandler.ProcessRequest(HttpContext context)
    {
        HttpRequest Request = context.Request;
        HttpResponse Response = context.Response;
        string s = string.Empty;
        //Извлечение параметров
        s = Request.QueryString.Get(0);
        if (!string.IsNullOrEmpty(s))
        {
            if (s == "1")
            {
                s = AppDomain.CurrentDomain.BaseDirectory + (@"menu1.xml");
            }
            else
            {
                s = AppDomain.CurrentDomain.BaseDirectory + (@"menu2.xml");
            }
        }
        else
        {
            return;
        }
        byte[] bText;
        using (FileStream filestream = new FileStream(s, FileMode.Open, FileAccess.Read))
        {
            int bufSize = (int)filestream.Length;
            bText = new byte[bufSize];
            filestream.Read(bText, 0, (int)filestream.Length);
        }
        s = System.Text.Encoding.Default.GetString(bText);
        Response.ContentType = "text/xml";

        Response.Write(s);

    }

    #endregion
}